Subject: [secdir] secdir review of draft-ietf-tls-rfc4492bis-14

From: "Scott G. Kelly" <[email-masked]>
Date: Thu, 9 Mar 2017 09:28:51 -0800 (PST)

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This review is roughly a week late, I hope it is still useful.

I think the abstract is quite clear:

   This document describes key exchange algorithms based on Elliptic
   Curve Cryptography (ECC) for the Transport Layer Security (TLS)
   protocol.  In particular, it specifies the use of Ephemeral Elliptic
   Curve Diffie-Hellman (ECDHE) key agreement in a TLS handshake and the
   use of Elliptic Curve Digital Signature Algorithm (ECDSA) and Edwards
   Digital Signature Algorithm (EdDSA) as authentication mechanisms.

I currently have little expertise in ECC, so please view my comments accordingly. Security considerations are described throughout the document, and there is also a thorough security considerations section. Yoav and Simon are well known to the IETF security community, and have been actively involved in ECC-related security discussions in cfrg, so with the qualification that I am not expert in this area, I don't see any issues with this document.

--Scott